import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const ListItemContent = /*@__PURE__*/ proxyCustomElement(class ListItemContent extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h(Host, { key: 'ff41e3e7206f2ae2726946792976e069c1acb912', class: {
                'bal-list__item__content': true,
                [`bal-list__item__content--${this.contentAlignment}`]: this.contentAlignment !== undefined,
            } }, h("slot", { key: '4b80e9bdf59313040e09f9489d01e558feefe120' })));
    }
}, [4, "bal-list-item-content", {
        "contentAlignment": [1, "content-alignment"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-list-item-content"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-list-item-content":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ListItemContent);
            }
            break;
    } });
}

export { ListItemContent as L, defineCustomElement as d };
